Foreman - Bug #14742

Template kind friendly names from plugins can be reloaded and lost in development

04/21/2016 04:31 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Templates
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3444
Description

Template kind friendly names added through the plugin template labels interface can be lost when TemplateKind is reloaded, as it's

stored in a class variable.

1. Call template_labels from a plugin registration (e.g. foreman_bootdisk master branch)
2. View the templates list, check it's showing the friendly hame

3. Edit TemplateKind, to reload the class

4. Refresh the template list, the friendly name will disappear

Related issues:
Related to Foreman - Bug #14395: Hosts > Operating Systems > [OS] > Templates... Closed
Related to Foreman - Refactor #12747: Provide some kind of central store or c... Resolved

03/30/2016
12/08/2015

Associated revisions

Revision 93dc012b - 04/22/2016 04:00 PM - Dominic Cleal

fixes #14742 - retrieve template kind labels from plugin regs

Ensures plugin kinds registered in class variables aren't lost when the
TemplateKind class is reloaded.

History

#1 - 04/21/2016 04:31 AM - Dominic Cleal

- Related to Bug #14395: Hosts > Operating Systems > [OS] > Templates tab: "provision" field label is lowercase, should be "Provision" added

#2 - 04/21/2016 04:32 AM - Dominic Cleal

- Related to Refactor #12747: Provide some kind of central store or consistent way to manage dynamically registered objects from plugins added

#3 - 04/21/2016 04:58 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3444 added

#4 - 04/22/2016 05:01 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 93dc012b31f9220d6d685af4285138f8547dae55.

#5 - 04/26/2016 03:54 AM - Dominic Cleal

- translation missing: en.field_release set to 136
